mscorlib 2.0.0.0 4.0.0.0 Microsoft.Win32.SafeHandles.SafeHandleZeroOrMinusOneIsInvalid

The class is used by the class. It is a wrapper for Win32 mutexes and auto and manual reset events.

Represents a wrapper class for a wait handle.

- Constructor
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  To be added.

  Initializes a new instance of the class.

  An object that represents the pre-existing handle to use.
  true to reliably release the handle during the finalization phase; false to prevent reliable release (not recommended).
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.